Retrieve a Product

GET
/v2/products/{id}

Retrieve details about a specific product

Authorization

Bearer-Auth
headerAuthorizationBearer <token>

Path Parameters

id*string

The product ID

Query Parameters

locale?Locale

Descriptions of products can be localized.

Match^(?:[a-z]{2}|[a-z]{2}-[A-Z]{2})$
Length2 <= length <= 5
Default"en"
Value in"de""en""es""fr""hi""it""ja""pt""pt-BR""zh-CN"

Response Body

OK

application/json
  1. response

A product is any purchasable compensation option SQUAKE offers. In the simplest case, a product maps to a single project such as "GoodShipping Sustainable Biofuel for Shipping". Depending on client need, SQUAKE also offers bundles of multiple projects; these can be centered around specific goals, e.g., "carbon avoidance", or mixed to achieve a particular price point. Feel free to contact us for more information or custom products.

id*string
Matchproduct_[A-Za-z0-9]*
locations?array<>

List of all locations impacted by the projects used in this product.

certifications?array<>

List of all certifications the projects for this product hold.

title?string

A short human readable summary of the description.

description?string

A human readable description.

sdgs?array<>

The Sustainable Development Goals (SDGs) aim to transform our world. They are a call to action to end poverty and inequality, protect the planet, and ensure that all people enjoy health, justice and prosperity.

files?array<>

Images attached to the product.

prices?array<>

Multiple prices may exist, for example, when future price changes are already known.

categories?array<>
impact_types?array<>
classes?array<>
Example Request
curl -X GET 'https://api.sandbox.squake.earth/v2/products/string'
Example Response
{  "id": "product_2rsg35sfsdf",  "locations": [    {      "country": "DE",      "sub_region": "150",      "region": "155"    }  ],  "certifications": [    "European Biochar Certification"  ],  "title": "string",  "description": "string",  "sdgs": [    7  ],  "files": [    {      "id": "file_asfg454s25",      "filename": "string",      "purpose": "confirmation_document",      "size": 0,      "type": "pdf",      "download_url": "http://example.com",      "notification": "string"    }  ],  "prices": [    {      "id": "price_1MMroL2eZvKYlo2CxbxAACvb",      "product": "prod_N760vOJBvdEDY8",      "unit_amount": 2500,      "carbon_unit": "tonne",      "currency": "EUR"    }  ],  "categories": [    {      "code": "forestry_and_land_use",      "title": "Forestry and Land Use"    }  ],  "impact_types": [    {      "code": "avoidance",      "title": "Avoidance"    }  ],  "classes": [    {      "code": "technology_based",      "title": "Technology based"    }  ]}